Wan Spicy: FlashVSR (Video Super Resolution) API Reference

About

FlashVSR super-resolution model, supporting upscaling from 480P/720P/1080P to 2K/4K.

1. Calling the API

Setup your API Key

To begin using Infron, you first need to create an account and generate your API Key.

Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.

export INFRON_KEY="YOUR_API_KEY"

Submit a request

For long-running requests, you can poll for results.

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
    "model": "wan/flashvsr/video-super-resolution",
    "video_urls": [
        "https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_6a4232af-b1c8-4769-981f-26c024cbcf8c.mp4"
    ],
    "resolution": "4k",
    "n": 1
}
EOF

Response with queue task id

The response will look like this:

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "c5d565ccf0e84d189c8e668c99dc4add",
    "object": "video",
    "model": "wan/flashvsr/video-super-resolution",
    "status": "created",
    "urls": {
      "query": "https://media.onerouter.pro/v1/videos/tasks/c5d565ccf0e84d189c8e668c99dc4add"
    },
    "created_at": "2026-07-15 07:18:52.18"
  }
}

Fetch request status

You can fetch the status of a request to check if it is completed or still in progress.

curl https://media.onerouter.pro/v1/videos/tasks/{task_id} \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" 

# For example
curl https://media.onerouter.pro/v1/videos/tasks/c5d565ccf0e84d189c8e668c99dc4add \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response with queue task status query

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "c5d565ccf0e84d189c8e668c99dc4add",
    "object": "video",
    "model": "wan/flashvsr/video-super-resolution",
    "status": "in_progress",
    "fail_reason": "",
    "submit_time": 1784099932,
    "start_time": 1784099933,
    "finish_time": 0,
    "outputs": [],
    "created_at": "2026-07-15 07:18:52"
  }
}

Possible statuses:

  • created
  • in_progress
  • processing
  • completed
  • failed

created -> in_progress → processing → completed | failed

Poll every 1-2 seconds until status is "completed" or "failed"

Get the result (when status is "completed")

Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "c5d565ccf0e84d189c8e668c99dc4add",
    "object": "video",
    "model": "wan/flashvsr/video-super-resolution",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1784099932,
    "start_time": 1784099933,
    "finish_time": 1784099987,
    "outputs": [
      "https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_4b18b608-4a26-4a2f-9ef8-04aa10c99553.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 3,
      "generate_audio": false,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "4k",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 3
    },
    "cost": {
      "total_cost": 0.159,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 0.159,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-07-15 07:18:52"
  }
}

2. Schema

Input

ParameterTypeRequiredDefaultRangeDescription
modelstringYes--Explore all modelsModel name.
video_urlsarrayYes--[1]URL of the input video.
resolutionstringYes4k720p, 1080p, 2k, 4kResolution of the generated video.
nintegerNo1[1]Number of videos to generate.

Example request

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
    "model": "wan/flashvsr/video-super-resolution",
    "video_urls": [
        "https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_6a4232af-b1c8-4769-981f-26c024cbcf8c.mp4"
    ],
    "resolution": "4k",
    "n": 1
}
EOF

Output

ParameterTypeRangeDescription
codeinteger--Status code of the request.
messagestring--Status message of the request.
dataobject--Data of the video task.
data.task_idstring--ID of the video task.
data.objectstring--Object type of the video task.
data.modelstring--Model name of the video task.
data.statusstringcreated, in_progress, processing, completed, failedStatus of the video task.
data.fail_reasonstring--Fail reason of the video task.
data.submit_timeinteger--Timestamp of the video task submission.
data.start_timeinteger--Timestamp of the video task start.
data.finish_timeinteger--Timestamp of the video task finish.
data.outputsarray--Outputs of the video task.
data.created_atstring--Timestamp of the video task creation.

Example output

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "c5d565ccf0e84d189c8e668c99dc4add",
    "object": "video",
    "model": "wan/flashvsr/video-super-resolution",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1784099932,
    "start_time": 1784099933,
    "finish_time": 1784099987,
    "outputs": [
      "https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_4b18b608-4a26-4a2f-9ef8-04aa10c99553.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 3,
      "generate_audio": false,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "4k",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 3
    },
    "cost": {
      "total_cost": 0.159,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 0.159,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-07-15 07:18:52"
  }
}

3. Detailed Pricing

Pricing TypeUnitPrice
Input video--
Output video → 2K1 second$0.032
Output video → 4K1 second$0.053
Output ResolutionEstimated Price
2K$0.032 / second
4K$0.053 / second
Output ResolutionDurationEstimated Price
2K5 s$0.160
2K8 s$0.256
2K10 s$0.320
2K15 s$0.480
4K5 s$0.265
4K8 s$0.424
4K10 s$0.530
4K15 s$0.795